Page MenuHomePhabricator

Deploy multi-site plugin to gerrit1001 and gerrit2001
Open, MediumPublic

Description

GerritForge have created a new plugin called "multi-site" this plugin allows you to have multiple gerrit masters. So with gerrit2001 being a master in addition to cobalt we can quickly fall over in case.

This plugin uses kafka to forward event's.

See https://groups.google.com/forum/#!topic/repo-discuss/A9dGOppvgGA and https://gerrit-review.googlesource.com/admin/repos/plugins/multi-site

Deploying:

  • Test on a test install using kafka too.
  • Once testing is complete and it works deploy to production.

Note this requires at least gerrit 2.16+

Related Objects

StatusSubtypeAssignedTask
OpenNone
Openthcipriani
ResolvedPaladox
ResolvedPaladox
DeclinedNone
ResolvedPaladox
Resolved hashar
Resolved hashar
Resolved hashar
ResolvedNone
ResolvedJoe
ResolvedJoe
ResolvedJdforrester-WMF
Resolvedbd808
Resolved hashar
Resolved hashar
Duplicate hashar
OpenNone
OpenNone
ResolvedDzahn
Resolvedthcipriani
Openthcipriani
OpenNone
ResolvedDzahn

Event Timeline

Paladox created this task.Feb 26 2019, 6:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2019, 6:45 PM
Dzahn triaged this task as Medium priority.Mar 5 2019, 2:28 PM

Thanks Paladox, this is certainly interesting.

Paladox claimed this task.Mar 5 2019, 4:31 PM
Paladox moved this task from Bugs & stuff to Local hacks on the Gerrit board.

Im going to work on testing this.

Mentioned in SAL (#wikimedia-cloud) [2019-03-07T21:56:45Z] <paladox> setting up multi-site up on gerrit-test3 T217174

Paladox removed Paladox as the assignee of this task.Mar 8 2019, 3:51 PM
Paladox added a project: Operations.

This can be deployed to prod (if there's kafka in prod). In my testing this worked really well (we only want replication from cobalt to gerrit2001 so we can easily fall over).

https://gerrit.git.wmflabs.org/r/c/testing/test/+/2161#message-556be9c19b4b882db5afefbee232ea1a092609ff replicated to https://gerrit.gerrit.wmflabs.org/r/c/testing/test/+/2161#message-556be9c19b4b882db5afefbee232ea1a092609ff using a mix of replication and multi-site.

Note this requires gerrit 2.16 to work.

Paladox updated the task description. (Show Details)Mar 16 2019, 6:00 PM
Dzahn renamed this task from Deploy multi-site plugin to cobalt and gerrit2001 to Deploy multi-site plugin to gerrit1001 and gerrit2001.Mon, Feb 3, 11:01 PM